"use strict";
/**
 * Created by rockyl on 2021/4/6.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.execute = void 0;
var fs = require("fs");
var semver = require("semver");
var packageFile = 'package.json';
function execute(releaseType, loose) {
    if (releaseType === void 0) { releaseType = 'patch'; }
    return new Promise(function (resolve) {
        var packageText = fs.readFileSync(packageFile, 'utf-8');
        var packageObj = JSON.parse(packageText);
        var version = packageObj.version;
        var newVersion = semver.inc(version, releaseType, loose);
        packageObj.version = newVersion;
        fs.writeFileSync(packageFile, JSON.stringify(packageObj, null, '\t'));
        resolve({ version: version, newVersion: newVersion });
    });
}
exports.execute = execute;
//# sourceMappingURL=index.js.map